Skip to main content
POST
/
currency-pairs
Create new currency pairs
curl --request POST \
  --url https://gateway.varchev.com/wallet/currency-pairs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "operationDestinationId": "<string>",
  "currencyIds": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "baseCurrency": "<string>",
  "quoteCurrency": "<string>",
  "pair": "<string>",
  "baseCurrencyId": "<string>",
  "quoteCurrencyId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant Id

Body

application/json
operationDestinationId
string
required
currencyIds
string[]
required

Response

200 - application/json

Created new currency pairs

id
string
required
baseCurrency
string
required
quoteCurrency
string
required
pair
string
required
baseCurrencyId
string
required
quoteCurrencyId
string
required